<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="">
<title>Search Results</title>

<!-- Bootstrap core CSS -->
<link href="css/bootstrap.min.css" rel="stylesheet">

<!-- Custom styles for this template -->
<link href="offcanvas.css" rel="stylesheet">

</head>

<body>
<?php include("thisheader.php") ?>
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="well">
				<h2 class="text-center">Search Results</h2>

				<?php
					$server = "localhost";
					$username = "root";
					$password = "";
					$database = "librarydb";
					 
					// Create connection
					$conn = mysqli_connect($server, $username, $password,$database);
					 
					// Check connection
					if (!$conn) {
					die("Connecting to database failed: " . mysqli_connect_error());
					}
					echo "Connected successfully";
					
				if(isset($_POST['submit'])){
					$search_field = $_POST['search_field'];
					$search_text = $_POST['search_text'];
					
					if ($search_field == '--All--') {
						$sql = "SELECT * FROM BookDetails WHERE Location LIKE '%$search_text%' OR AccessionNo LIKE '%$search_text%' OR Title LIKE '%$search_text%' OR Author LIKE '%$search_text%'  OR ISBNNumber LIKE '%$search_text%' OR  PublisherName LIKE '%$search_text%' OR  PlaceofPublication LIKE '%$search_text%' OR CopyrightYear LIKE '%$search_text%'";
					
					}else{
						switch ($search_field)
						{
						case "Copyright":
							$strField = "CopyrightYear";
							$strText = $search_text;
							break;
						case "Accession Number":
							$strField = "AccessionNo";
							$strText = $search_text;
							break;
						default:
							$strField = $search_field;
							$strText = "%$search_text%";
						}
						
						$sql = "SELECT * FROM BookDetails WHERE $strField LIKE '$strText'";
					}
					
					$results= mysqli_query($conn,$sql) or die ("Error Execute [".$sql."]");
					?>
				<table class="table table-striped">
					<thead>
						<tr>
							<th>Title</th>
							<th>Author</th>
							<th>Copyright</th>
							<th>Subject</th>
							<th>Remarks</th>
						</tr>
					</thead>
					<tbody>
						<?php
					while ($row = mysqli_fetch_assoc($results))
					{
						$title  = $row['Title'];
						$author = $row['Author'];
						$copyright  = $row['CopyrightYear'];
						$subject  = $row['Subject'];
						$remarks = $row['Remarks'];						
						?>
						<tr >
							<td><a href="book_details.php?id=<?php echo $row["AccessionNo"] ?>"><?php echo $title ?></a></td>
							<td><?php echo $author ?></td>
							<td><?php echo $copyright ?></td>
							<td><?php echo $subject ?></td>
							<td><?php echo $remarks ?></td>
						</tr>
						<?php
					}
					?>
					</tbody>
				</table>
				<?php
				}	
				mysqli_close($conn);
			?>
			</div>
		</div>
		<!--/span--> 
	</div>
	<!--/row-->
	
	<hr>
	<?php include("thisfooter.php") ?>
</div>
<!--/.container-->
</body>
</html>